package com.uas.finance.service;


import com.uas.finance.model.FsSale;

import java.util.List;
import java.util.Set;

/**
 * 基础合同接口
 * created by shicr on 2018/1/25
 **/
public interface FsSaleService {

    /**
     * 基础合同保存
     *
     * @param fsSale
     * @return
     */
    List<FsSale> save(List<FsSale> fsSale);


    /**
     * 找到某出账下的合同
      * @param id
     * @return
     */
    Set<FsSale> findByAa_id(Long id);

    /**
     * 根据主键找到合同
     * @param id
     * @return
     */
    FsSale findOne(Long id);

    /**
     * 删除某条合同
     * @param id
     */
    void delete(Long id);
}
